AnsweredAssumed Answered

Data Interoperability constantly makes ArcGIS Pro 2.4 crash

Question asked by valraa on Jul 18, 2019
Latest reply on Sep 12, 2019 by KKramer-esristaff

It's very frustrating. After installing version 2.4 of ArcGIS Pro and the same version of Data Interoperability, this is what happens:

  1. I use the Quick Import and it works fine
  2. As long as I try to use the same tool for the second time, ArcGIS Pro crashes

It seems this is not linked with the type of data I am converting if this matters (it happens both for IFC and CIVIL3D transformers).

Also, if I open an aprx where I have already used the Data Interoperability, it crashes if I try to use it, as it is a matter if the Quick Import is present in the History of the project.

The only thing I could do is opening a brand new ArcGIS Pro session and do my conversion once and do the same for each conversion I need.

Not ideal since it used to work and I need to convert a lot of files.

I also sent the reports of the crash.

Is it a recognized BUG?

The only thing I could find was Problem: Data Interoperability has incompatibilities when more than one Data Interoperability product is on a single mac…  but it only lists solutions for earlier versions.

 

ATTACHMENT

 

I attached the dump file as suggested by Drew Flater

Attachments

Outcomes